--- unpacked/usr/bin/debcommit	2012-11-25 00:51:46.000000000 +0100
+++ /usr/bin/debcommit	2013-03-31 17:10:42.577764263 +0200
@@ -240,6 +240,7 @@
 my $signtags=0;
 my $changelog;
 my $keyid;
+my $package;
 my $version;
 my $onlydebian=0;
 
@@ -358,6 +359,7 @@
 	    die "debcommit: $changelog says it's UNRELEASED\nTry running dch --release first\n";
 	}
 	$version = $log->{Version};
+	$package = $log->{Source};
     }
     else {
 	open (C, "<$changelog" ) || die "debcommit: cannot read $changelog: $!";
@@ -368,10 +370,11 @@
 	close C;
 
 	$version=`dpkg-parsechangelog -l\Q$changelog\E | grep '^Version:' | cut -f 2 -d ' '`;
+	$package=`dpkg-parsechangelog -l\Q$changelog\E | grep '^Source:'  | cut -f 2 -d ' '`;
 	chomp $version;
     }
 
-    $message="releasing version $version" if ! defined $message;
+    $message="releasing package $package version $version" if ! defined $message;
 }
 if ($edit) {
     my $modified = 0;
@@ -381,7 +384,7 @@
 
 if (not $confirm or confirm($message)) {
     commit($message);
-    tag($version) if $release;
+    tag($package, $version) if $release;
 }
 
 # End of code, only subs below
@@ -596,7 +599,7 @@
 }
 
 sub tag {
-    my $tag=shift;
+    my ($package, $tag) = @_;
 
     if ($prog eq 'svn' || $prog eq 'svk') {
 	my $svnpath=`svnpath`;
@@ -605,11 +608,11 @@
 	chomp $tagpath;
 
 	if (! action($prog, "copy", $svnpath, "$tagpath/$tag",
-		     "-m", "tagging version $tag")) {
+		     "-m", "tagging package $package version $tag")) {
 	    if (! action($prog, "mkdir", $tagpath,
 			 "-m", "create tag directory") ||
 		! action($prog, "copy", $svnpath, "$tagpath/$tag",
-			 "-m", "tagging version $tag")) {
+			 "-m", "tagging package $package version $tag")) {
 		die "debcommit: failed tagging with $tag\n";
 	    }
 	}
@@ -658,13 +661,13 @@
 	if ($signtags) {
 		if (defined $keyid) {
 			if (! action($prog, "tag", "-u", $keyid, "-m",
-			             "tagging version $tag", $tag)) {
+			             "tagging package $package version $tag", $tag)) {
 	        		die "debcommit: failed tagging with $tag\n";
 			}
 		}
 		else {
 			if (! action($prog, "tag", "-s", "-m",
-			             "tagging version $tag", $tag)) {
+			             "tagging package $package version $tag", $tag)) {
 	        		die "debcommit: failed tagging with $tag\n";
 			}
 		}
@@ -676,7 +679,7 @@
     elsif ($prog eq 'hg') {
 	$tag=~s/^[0-9]+://; # strip epoch
 	$tag="debian-$tag";
-    	if (! action($prog, "tag", "-m", "tagging version $tag", $tag)) {
+    	if (! action($prog, "tag", "-m", "tagging package $package version $tag", $tag)) {
 	        die "debcommit: failed tagging with $tag\n";
     	}
     }
